%global momorel 2
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global kdemultimediarel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global md5sum_src0 6bf152e54b62de22c67d9899e8f9d5c2

Summary: MIDI/Audio Sequencer and Notation Editor
Name: rosegarden
Version: 1.5.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.rosegardenmusic.com/
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/rosegarden/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-1.5.0-desktop.patch
Patch1: %{name}-1.5.0-optflags.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: jack
Requires: ladspa
Requires: liblrdf
Requires: lilypond
Requires: perl-XML-Twig
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdemultimedia >= %{kdever}-%{kdemultimediarel}
BuildPreReq: libart_lgpl-devel
BuildPreReq: alsa-lib-devel
BuildPreReq: cmake
BuildPreReq: desktop-file-utils
BuildPreReq: jack-devel
BuildPreReq: ladspa-devel
BuildPreReq: liblrdf-devel
BuildPreReq: libjpeg-devel
BuildPreReq: libpng-devel
BuildPreReq: pkgconfig
BuildPreReq: zlib-devel

%description
Rosegarden is a user-friendly MIDI/audio sequencer, notation editor,
and general-purpose music composition and editing application for Unix
and Linux.

%prep
%setup -q

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .optflags

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

cmake . \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_CXX_FLAGS_RELEASE:STRING="%{optflags} -w -fexceptions -DNDEBUG"

make %{?_smp_mflags} VERBOSE=1 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/rosegarden.png %{buildroot}%{_datadir}/pixmaps/rosegarden.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category X-Red-Hat-Base \
  --remove-category X-SuSE-Sequencer \
  --add-category Qt \
  --add-category KDE \
  %{buildroot}%{_datadir}/applications/rosegarden.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL README TRANSLATORS
%{_bindir}/rosegarden
%{_bindir}/rosegarden-audiofile-importer
%{_bindir}/rosegarden-lilypondview
%{_bindir}/rosegarden-project-package
%{_bindir}/rosegardensequencer
%{_datadir}/applications/kde/rosegarden.desktop
%{_datadir}/apps/rosegarden
%{_datadir}/doc/HTML/*/rosegarden
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/icons/*/*/apps/*.xpm
%{_datadir}/icons/*/*/mimetypes/*.png
%{_datadir}/locale/*/LC_MESSAGES/rosegarden.mo
%{_datadir}/mimelnk/audio/*.desktop
%{_datadir}/pixmaps/rosegarden.png

%changelog
* Sun Jul 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.1-2m)
- add Requires: perl-XML-Twig

* Fri Mar 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.1-1m)
- version 1.5.1
- remove merged ja_po.patch

* Sat Mar  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0-4m)
- Requires: lilypond

* Mon Feb 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0-3m)
- add -DCMAKE_CXX_FLAGS_RELEASE:STRING to %%build
- update optflags.patch

* Wed Feb 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0-2m)
- set optflags again
- update Japanese translation
  http://slashdot.jp/~ribbon/journal/392228

* Tue Feb  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0-1m)
- version 1.5.0
- update desktop.patch

* Wed Sep 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-1m)
- version 1.4.0

* Sat Sep 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.4-2m)
- remove X-SuSE-Sequencer, X-Red-Hat-Base and Application from Categories of desktop file

* Sun Jul 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.4-1m)
- version 1.2.4

* Wed Mar  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-3m)
- use scons install prefix=%%{buildroot}%%{_prefix}
- remove fix-SConstruct.patch
- update desktop.patch

* Fri Feb 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-2m)
- set CXXFLAGS again

* Fri Feb 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-1m)
- version 1.2.3
- remove uic.patch
- remove gcc4.patch
- add fix-SConstruct.patch
- remove %%post and %%postun
- BuildPreReq: scons, pkgconfig

* Sun Feb 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-8m)
- add enable_gcc_check_and_hidden_visibility switch

* Sun Dec 25 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-7m)
- add gcc4 patch
- Patch1: rosegarden-4-1.0-gcc4.patch

* Mon Nov 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-6m)
- rebuild against KDE 3.5 RC1

* Fri Oct 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-5m)
- add rosegarden-1.0-desktopfile.patch
- BuildPreReq: desktop-file-utils
- clean up spec file

* Sat Sep 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-4m)
- fix uic build problem

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-3m)
- add --disable-rpath to configure

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-2m)
- add --with-qt-libraries=%%{qtdir}/lib to configure

* Wed Feb 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- initial package
